
Redmine - Patch #33036

Add missing fixture to IssuesControllerTest

2020-02-21 01:35 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

IssuesControllerTest has failed.

$ RAILS_ENV=test bundle exec rake db:migrate:reset

$ RAILS_ENV=test bundle exec rake test TEST=test/functional/issues_controller_test.rb

Run options: --seed 65312

# Running:

..................................................................................................

..............................................................F

Failure:

IssuesControllerTest#test_post_create_with_watchers [test/functional/issues_controller_test.rb:404

2]:

Expected: 3

  Actual: 2

bin/rails test test/functional/issues_controller_test.rb:4012

...........................................................................................S......

..........................................................S.......................................

...S........................................

Finished in 42.744736s, 9.3813 runs/s, 42.3210 assertions/s.

401 runs, 1809 assertions, 1 failures, 0 errors, 3 skips

You have skipped tests. Run with --verbose for details.

 I think that because the fixture not enough.

diff --git a/test/functional/issues_controller_test.rb b/test/functional/issues_controller_test.rb

index 488edde6d..ec07c8577 100644

--- a/test/functional/issues_controller_test.rb

+++ b/test/functional/issues_controller_test.rb

@@ -46,7 +46,7 @@ class IssuesControllerTest < Redmine::ControllerTest

            :queries,

            :repositories,

            :changesets,

-           :watchers

+           :watchers, :groups_users

   include Redmine::I18n

Related issues:

Related to Redmine - Feature #4511: Allow adding user groups as watchers for ... Closed 2010-01-01

Associated revisions

Revision 19526 - 2020-02-21 04:57 - Go MAEDA

Add a missing fixture to IssuesControllerTest (#4511, #33036).

Patch by Yuichi HARADA.
History

#1 - 2020-02-21 03:53 - Go MAEDA

- Related to Feature #4511: Allow adding user groups as watchers for issues added

#2 - 2020-02-21 04:58 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed as a part of #4511. Thank you.
